Bug 50057 - device /dev/random crash ...
device /dev/random crash ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-26 08:04 EDT by mfarhat
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mfarhat 2001-07-26 08:04:28 EDT
From Bugzilla Helper:
User-Agent: Mozillus

Description of problem:
After a rpm -F kernel*.rpm
a read on the device /dev/random freese the reading prog.
A minimal work-around is remplacing the /dev/random by /dev/urandom

How reproducible:
Always

Steps to Reproduce:
1. install full distrib 7.1
2. rpm -F *.rpm in 
ftp://ftp.redhat.com/redhat/linux/updates/7.1/en/os/i386/
3. run a prog witch read /dev/random... ex: cat /dev/random


Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:39:05 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.